Subject: 'arctic root'

From: [email-masked] (Dick Dawson)
Date: 7 Oct 1995 05:01:07 GMT

I've seen an ad for 'arctic root'.  The ad says it's aka rosenroot,
Rhodiola rosea.  They describe it as an 'adaptogen'.  They claim it's
stronger than ginseng.  Supposedly a scandinavian plant.  Anyone know
of it?  Sources, preferably whole root, not mega$ powder in gel caps?

Dick
[email-masked]
http://web.syr.edu/~ddawson